"use strict";
exports.__esModule = true;
exports.getReadableSize = void 0;
/**
 * Gets the readable size of a byte integer
 */
var getReadableSize = function (format, bytes) {
    if (bytes === void 0) { bytes = 0; }
    if (bytes === 0)
        return "0.00".concat(format[0]);
    var i = 0;
    do {
        bytes = bytes / 1024;
        i++;
    } while (bytes > 1024);
    return Math.max(bytes, 0.1).toFixed(i < 2 ? 0 : 2) + format[i];
};
exports.getReadableSize = getReadableSize;
//# sourceMappingURL=getReadableSize.js.map